
Foreman - Bug #31873

Expose edit permission in api index layout for bulk actions on resource

02/15/2021 11:18 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: API   

Target version: 2.3.3   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8326,

https://github.com/theforeman/foreman/p

ull/8334,

https://github.com/theforeman/foreman/p

ull/8335

  

Description

Related issues:

Blocks foreman-tasks - Bug #31872: Non admin user with viewer role can attemp... Closed

Associated revisions

Revision 648f7236 - 02/17/2021 12:16 PM - Adam Ruzicka

Fixes #31873 - Expose edit permissions in api index layout

History

#1 - 02/15/2021 11:18 AM - Adam Ruzicka

- Blocks Bug #31872: Non admin user with viewer role can attempt to perform action on the task added

#2 - 02/15/2021 11:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8326 added

#3 - 02/17/2021 12:16 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 02/17/2021 12:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8334 added

#5 - 02/17/2021 12:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8335 added

#6 - 02/17/2021 01:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|648f72365271780a17c48ade4028b3ce9d33fb08.

#7 - 02/24/2021 09:49 AM - Ondřej Ezr

- Target version set to 2.3.3
